# Copyright (C) 2010, Almacom (Thailand) Ltd.
# 
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# this program. If not, see <http://www.gnu.org/licenses/>.

from osv import osv,fields

# XXX: Not required anymore
#class purchase_order(osv.osv):
#    _inherit="purchase.order"
#    _columns={
#        "company_id": fields.many2one("res.company","Company",required=True),
#    }
#    _defaults={
#        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
#    }
#purchase_order()

class sale_order(osv.osv):
    _inherit="sale.order"
    _columns={
        "company_id": fields.many2one("res.company","Company",required=True),
    }
    _defaults={
        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
    }
sale_order()

class sale_shop(osv.osv):
    _inherit="sale.shop"
    _columns={
        "company_id": fields.many2one("res.company","Company",required=True),
    }
    _defaults={
        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
    }
sale_shop()

class stock_move(osv.osv):
    _inherit="stock.move"
    _columns={
        "company_id": fields.many2one("res.company","Company",required=True),
    }
    _defaults={
        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
    }
stock_move()

class stock_picking(osv.osv):
    _inherit="stock.picking"
    _columns={
        "company_id": fields.many2one("res.company","Company",required=True),
    }
    _defaults={
        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
    }
stock_picking()

class stock_warehouse(osv.osv):
    _inherit="stock.warehouse"
    _columns={
        "company_id": fields.many2one("res.company","Company",required=True),
    }
    _defaults={
        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
    }
stock_warehouse()

class stock_inventory(osv.osv):
    _inherit="stock.inventory"
    _columns={
        "company_id": fields.many2one("res.company","Company",required=True),
    }
    _defaults={
        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
    }
stock_inventory()

class stock_location(osv.osv):
    _inherit="stock.location"
    _columns={
        "company_id": fields.many2one("res.company","Company",required=True),
    }
    _defaults={
        "company_id": lambda self,cr,uid,context: self.pool.get("res.users").browse(cr,uid,uid).company_id.id,
    }
stock_location()
